Problems, need help? Have a tip or advice? Post it here.
8 posts Page 1 of 1
FYI. The latest download on the Couch website does not include config.example.php.
Additionally - I downloaded and modified the config.example.php from the GIT repo and put it on my new site. Then navigated to the new uploaded installed 'couch' folder and got error 500:

Fatal error: Uncaught mysqli_sql_exception: Table 'mydb.mysite.couch_settings' doesn't exist in /home/mysite/public_html/couch/includes/mysql2i/mysql2i.class.php:425 Stack trace: #0 /home/mysite/public_html/couch/includes/mysql2i/mysql2i.class.php(425): mysqli_query(Object(mysqli), 'select k_value ...') #1 /home/mysite/public_html/couch/includes/mysql2i/mysql2i.func.php(247): mysql2i::mysql_query('select k_value ...', Object(mysqli)) #2 /home/mysite/public_html/couch/header.php(319): mysql_query('select k_value ...', Object(mysqli)) #3 /home/mysite/public_html/couch/index.php(11): require_once('/home/mysite...') #4 {main} thrown in /home/mysite/public_html/couch/includes/mysql2i/mysql2i.class.php on line 425
Additional:

I deleted everything, downloaded the full public repo from GitHub, set up config.php and went to the couch folder in a browser.

Same issue. Error 500.

I've installed Couch now many times, and even upgraded existing installations to v2.3. It seems the Couch download and repo are good for upgrading existing installations only.
RESOLVED!

A) config.example.php _is_ missing from the download offered on the CouchCMS website.

B) Existing installation detection works by attempting to read a value from a non-existent (or existent if installation has already occurred) database table. This issues warnings on PHP < 8.0 but generates a fatal error on PHP 8+.

(I downgraded my site to PHP 7.4 for installation phase then all was fine)
Hi,

The download offered on the CouchCMS website (https://www.couchcms.com/products/) actually redirects to the GitHub repo; so, there is only version that is available for download. I am not sure how you managed to get the version with the missing config file. If you could please share the link, I'll take a look.

Thanks for the heads-up about the error in PHP8.
I'll take a look at the issue right away.
@CouchBob,
This issues warnings on PHP < 8.0 but generates a fatal error on PHP 8+.

I checked and, you are right, we had a problem with PHP 8.

I have rectified this error and pushed the change to GitHub.
Thank you very much indeed for reporting this.
No problem!

I can't find the download link I used, and I've tried again this morning and all links download a complete package.

The link I used yesterday gave me a Zip with folder "couch2" not "couch".

Anyway it seems to have been rectified now :)
Great :) Thanks.
8 posts Page 1 of 1
cron